Bug 1885823 - Segmentation fault with dmidecode --dump
Summary: Segmentation fault with dmidecode --dump
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dmidecode
Version: 8.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.0
Assignee: Coiby
QA Contact: Jiri Dluhos
URL:
Whiteboard:
: 1947352 1974367 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-07 04:46 UTC by Lili Zhu
Modified: 2021-06-25 14:28 UTC (History)
6 users (show)

Fixed In Version: dmidecode-3.2-10.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
Match to fix crash (522 bytes, patch)
2021-02-08 16:02 UTC, Martin Poole
no flags Details | Diff

Description Lili Zhu 2020-10-07 04:46:05 UTC
Description of problem:
Segmentation fault with dmidecode --dump

Version-Release number of selected component (if applicable):
kernel-4.18.0-240.el8.x86_64
dmidecode-3.2-6.el8.x86_64

How reproducible:
100%

Steps to Reproduce:
# dmidecode --dump
# dmidecode 3.2
Getting SMBIOS data from sysfs.
SMBIOS 3.0 present.
75 structures occupying 3401 bytes.
Table at 0x6CA89000.

Handle 0xDA00, DMI type 218, 17 bytes
	Header and Data:
		DA 11 00 DA B2 00 17 20 0E 10 03 FF FF 00 00 00
		00

Handle 0x0000, DMI type 0, 26 bytes
	Header and Data:
		00 1A 00 00 01 02 00 F0 03 FF 90 9A E9 59 00 00
		1F 00 03 0F 01 06 FF FF 00 00
	Strings:
		44 65 6C 6C 20 49 6E 63 2E 00
		***
		31 2E 36 2E 31 33 00
		1.6.13
		31 32 2F 31 37 2F 32 30 31 38 00
		12/17/2018

Handle 0x0100, DMI type 1, 27 bytes
	Header and Data:
		01 1B 00 01 01 02 00 03 44 45 4C 4C 57 00 10 52
		80 38 C8 C0 4F 36 57 32 06 05 04
	Strings:
		44 65 6C 6C 20 49 6E 63 2E 00
		***
		50 6F 77 65 72 45 64 67 65 20 52 37 34 30 00
		***
		48 57 52 38 36 57 32 00
		***
		50 6F 77 65 72 45 64 67 65 00
		***
		53 4B 55 3D 4E 6F 74 50 72 6F 76 69 64 65 64 3B
		53 4B 55 3D 4E 6F 74 50 72 6F 76 69 64 65 64 3B4D 6F 64 65 6C 4E 61 6D 65 3D 50 6F 77 65 72 45
		53 4B 55 3D 4E 6F 74 50 72 6F 76 69 64 65 64 3B4D 6F 64 65 6C 4E 61 6D 65 3D 50 6F 77 65 72 4564 67 65 20 52 37 34 30 00
		SKU=NotProvided;ModelName=***

Segmentation fault (core dumped)


Actual results:


Expected results:


Additional info:

Comment 1 Martin Poole 2021-02-08 16:02:02 UTC
Created attachment 1755746 [details]
Match to fix crash

Comment 2 Martin Poole 2021-02-08 16:02:57 UTC
Patch resolved via upstream commit

   	11e134e54d15e67a64c39a623f492a28df922517

Comment 3 Remke 2021-04-08 10:17:50 UTC
Not working yet ? -- see also: https://bugzilla.redhat.com/show_bug.cgi?id=1947352

Comment 5 Jiri Dluhos 2021-04-14 13:50:57 UTC
qa_ack'd 🦆 - apologies for the delay.

Comment 6 Coiby 2021-04-15 07:39:54 UTC
(In reply to Jiri Dluhos from comment #5)
> qa_ack'd 🦆 - apologies for the delay.

That's OK. You set ITM to 7 which is smaller than DTM-8 set by me. Is this a mistake? Another issue is you haven't set "+" for qa_ack.

Comment 7 Jiri Dluhos 2021-04-18 20:40:52 UTC
Oops... apologies again - it seems I had an acute case of brain eclipse :(
qa_ack+ set.
ITM set to 9 - please tell if more time is needed.

Comment 8 Coiby 2021-04-19 01:16:57 UTC
*** Bug 1947352 has been marked as a duplicate of this bug. ***

Comment 9 Coiby 2021-04-19 01:20:19 UTC
(In reply to Jiri Dluhos from comment #7)
> Oops... apologies again - it seems I had an acute case of brain eclipse :(
> qa_ack+ set.
> ITM set to 9 - please tell if more time is needed.

That's fine. The upstream patch has been ready. So ITM9 is reasonable:)

Comment 13 Coiby 2021-04-19 10:19:55 UTC
Hi Jiri,

I've done the scratch-build. Do you need to test it? If yes, the link is https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=36257231.

Btw, previously after finishing scractch-building and the testing, I directly ran rhpkg build and create an advisory on errata. This seems to be inappropriate. I'm new to the process. If I make a mistake before getting familiar with the procedure, please correct me. Thanks

Comment 15 Jiri Dluhos 2021-04-26 21:03:05 UTC
Crash reproduced with dmidecode-3.2.8.el8.x86-64; fix confirmed with dmidecode-3.2-9.el8.x86_64.

Comment 16 Jiri Dluhos 2021-04-27 13:48:08 UTC
Fix confirmed also with the newest dmidecode-3.2-10.el8.x86_64. :)

Comment 18 Coiby 2021-06-22 01:54:24 UTC
*** Bug 1974367 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.